commit fe7e1f2340efbdffd85366a7e0c622333816d41b
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Oct 23 00:17:49 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 78a2a2c895b..49158b622ba 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2020-10-22  Andreas Krebbel  <krebbel@linux.ibm.com>
+
+	Backported from master:
+	2020-10-22  Andreas Krebbel  <krebbel@linux.ibm.com>
+
+	PR rtl-optimization/97439
+	* dfp.c (decimal_real_maxval): Set the sign flag in the
+	generated number.
+
 2020-10-13  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>
 
 	* config/aarch64/aarch64.c (neoversen2_tunings): Define.
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index d3ccbf5b38e..b3873063e3e 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20201022
+20201023
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 94527525fe9..d74fcf166cb 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,10 @@
+2020-10-22  Andreas Krebbel  <krebbel@linux.ibm.com>
+
+	Backported from master:
+	2020-10-22  Andreas Krebbel  <krebbel@linux.ibm.com>
+
+	* gcc.dg/dfp/pr97439.c: New test.
+
 2020-10-13  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>
 
 	Backported from master:

